Subject: [MEXT] DSMIP draft 10

From: Christian Kaas-Petersen <[email-masked]>
Date: Wed, 8 Apr 2009 05:59:38 +0000 (GMT)

Reading draft 10, I did not find any text on the case of a
mobile node attaching to an IPv4-only home network, ie the
case where the mobile node has the address v4HoA, and
the home agent in its binding cache has the entry

    v6HoA -> v4HoA

Given this case is of particular interest to 3GPP,
I think it should be mentioned explicitly somewhere, for
example as one of the scenarios in Section 2.

Reading draft 10, I think some small details on NAT traversal
should be clarified.  Section 4.2.2 defines the NAT 
Detection option.  The option suggests a Refresh Time to
the mobile node.  

If Refresh Time = 0, then there was a NAT in the path,
but it is not clear if the mobile node is informed that
NAT refresh may be omitted, or if the mobile node shall
make an attempt to refresh the NAT binding using some
refresh time configured into the mobile node.  The
parameter NATKATIMEOUT is only for use in the home agent.

Another item on NAT, in four places (section 5.2, para 5;
section 5.4.3, para 3; section 5.4.3, para 5; section 5.5.1,
para 3) are stated, that the home agent may force UDP
encapsulation.  Also the mobile node may force UDP
encapsulation.

Related to this, section 5.4.2, bullet 6, ought to have
a "MUST" instead of "should".

Section 5.5.1, first packet, shall have UDP Header in
square brackets.

For the packets in section 6.2.1 and 6.2.2 I think it should
be stated, that V4ADDR can mean either the care-of address
or the address assigned by the NAT box.

Christian

      Trænger du til at se det store billede? Kelkoo giver dig gode tilbud på LCD TV! Se her http://dk.yahoo.com/r/pat/lcd

---

From: Hesham Soliman <[email-masked]>
Date: Wed, 08 Apr 2009 17:03:23 +1100

Christian,

The draft has now all IESG comments addressed.

> the home agent in its binding cache has the entry

=> The text of how to do this was added two revisions ago as follows:

5.4.2.1.  Removing Bindings

   Mobile nodes will remove bindings from the home agent's binding cache
   whenever they move to the home link, or simply when mobility support
   is not needed.

   De-registering the IPv6 home address is described in [RFC3775].  The
   same mechanism applies in this specification.  Mobile nodes may
   remove the binding for the IPv4 home address only, by sending a
   binding update that does not include the IPv4 home address option.
   Upon receiving this binding update, the home agent will replace the
   existing cache entries with the content of the new message.  This
   ensures that the IPv4 home address binding is removed, while
   maintining an IPv6 binding.

   Note that the mobile node cannot remove the IPv6 home address binding
   while maintaining an IPv4 home address binding.

   A binding update message with a lifetime of zero, will remove all
   bindings for the mobile node.

> parameter NATKATIMEOUT is only for use in the home agent.

=> The MN always does the refresh otherwise it's unreachable. The value is
only a suggestion if the HA wants to make one but has no effect on whether
the MN should regularly update the NAT binding.

> encapsulation.  Also the mobile node may force UDP

=> So what's the comment?

> Section 5.5.1, first packet, shall have UDP Header in

=> Ok these typos can be added to RFC notes.

> or the address assigned by the NAT box.

=> ditto.

Hesham

> 
> Christian
> 
> 
>       Trænger du til at se det store billede? Kelkoo giver dig gode tilbud på
> LCD TV! Se her http://dk.yahoo.com/r/pat/lcd
> _______________________________________________
> MEXT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mext